## python-libevdev 0.12

=== Makefile ===
all: doc test

doc:
	sphinx-apidoc -f -o doc/source libevdev
	sphinx-build -b html doc/source doc/html

test:
	PYTHONPATH=. pytest-3 test/*.py

.PHONY: doc test

=== doc/requirements.txt ===
sphinx-rtd-theme==1.3.0

## python-libevdev 0.5

=== debian/changelog ===
python-libevdev (0.5-3) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Stephen Kitt ]
  * Standards-Version 4.5.1, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 17 Jan 2021 17:00:33 +0100

python-libevdev (0.5-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python3-Version field
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Stephen Kitt ]
  * Switch to debhelper compatibility level 13.
  * Set “Rules-Requires-Root: no”.
  * Standards-Version 4.5.0, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Wed, 17 Jun 2020 23:03:56 +0200

python-libevdev (0.5-1) unstable; urgency=medium

  * New upstream release, renamed to python-libevdev.
  * Enable automatic Python package tests.
  * Standards-Version 4.1.4, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 27 Apr 2018 20:54:08 +0200

libevdev-python (0.3-1) unstable; urgency=medium

  * New upstream release.
  * Install examples in the documentation package.

 -- Stephen Kitt <skitt@debian.org>  Sat, 24 Feb 2018 12:52:35 +0100

libevdev-python (0.2-2) unstable; urgency=medium

  * Drop the Python 2 package, it is unused and doesn’t work.

 -- Stephen Kitt <skitt@debian.org>  Fri, 19 Jan 2018 13:13:48 +0100

libevdev-python (0.2-1) unstable; urgency=medium

  * Initial release. Closes: #887309.

 -- Stephen Kitt <skitt@debian.org>  Sun, 14 Jan 2018 22:33:49 +0100

=== debian/control ===
Source: python-libevdev
Maintainer: Stephen Kitt <skitt@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               libevdev-dev,
               python3-all,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-rtd-theme
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/debian/python-libevdev
Vcs-Git: https://salsa.debian.org/debian/python-libevdev.git
Homepage: https://github.com/whot/python-libevdev
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-libevdev
Architecture: all
# The direct dependency on libevdev2 isn’t ideal, but it’s embedded in
# the source so soname bumps need a sourceful upload anyway
Depends: libevdev2,
         ${python3:Depends},
         ${misc:Depends}
Suggests: python-libevdev-doc
Description: Python 3 wrapper for libevdev
 This is a Python wrapper around libevdev, a wrapper library for evdev
 devices. It provides a simpler API around evdev and takes advantage
 of libevdev’s advanced event handling, providing
 .
  * access to the state of the device (not just the events)
  * correct handling of fake multitouch devices
  * synchronisation of slots and per-slot state
  * transparent generation of missing tracking ids
  * per-context event handling
 .
 This package installs the library for Python 3.

Package: python-libevdev-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends},
         ${misc:Depends}
Description: Python wrapper for libevdev (common documentation)
 This is a Python wrapper around libevdev, a wrapper library for evdev
 devices. It provides a simpler API around evdev and takes advantage
 of libevdev’s advanced event handling, providing
 .
  * access to the state of the device (not just the events)
  * correct handling of fake multitouch devices
  * synchronisation of slots and per-slot state
  * transparent generation of missing tracking ids
  * per-context event handling
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=libevdev

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bhtml doc/source/ build/html
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -bman doc/source/ build/man

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-libevdev-$1.tar.gz%" \
   https://github.com/whot/python-libevdev/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## python-libevdev 0.11

=== debian/changelog ===
python-libevdev (0.11-1) unstable; urgency=medium

  * New upstream release.
  * Track new upstream location.
  * Standards-Version 4.6.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Thu, 07 Mar 2024 13:07:44 +0100

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
                python3-setuptools,
                python3-sphinx,
                python3-sphinx-rtd-theme
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/python-libevdev
 Vcs-Git: https://salsa.debian.org/debian/python-libevdev.git
-Homepage: https://github.com/whot/python-libevdev
+Homepage: https://gitlab.freedesktop.org/libevdev/python-libevdev
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no

=== debian/watch ===
version=4

https://gitlab.freedesktop.org/libevdev/@PACKAGE@/-/tags \
   /libevdev/@PACKAGE@/-/archive/.*/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@ \
   debian uupdate

## python-libevdev 0.12

=== debian/changelog ===
python-libevdev (0.12-1) unstable; urgency=medium

  * New upstream release, merging intersphinx-mapping.patch.
  * Add “Built-Using” information to track the Sphinx version used to
    build the documentation package.
  * Standards-Version 4.7.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 02 Sep 2025 18:58:35 +0200

python-libevdev (0.11-2) unstable; urgency=medium

  * Fix the intersphinx mapping declaration. Closes: #1090147.
  * Update debian/watch to handle recent GitLab changes.
  * Standards-Version 4.7.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 17 Dec 2024 13:42:01 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                python3-setuptools,
                python3-sphinx,
                python3-sphinx-rtd-theme
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian/python-libevdev
 Vcs-Git: https://salsa.debian.org/debian/python-libevdev.git
 Homepage: https://gitlab.freedesktop.org/libevdev/python-libevdev
@@ -42,6 +42,7 @@
 Section: doc
 Depends: ${sphinxdoc:Depends},
          ${misc:Depends}
+Built-Using: ${sphinxdoc:Built-Using}
 Description: Python wrapper for libevdev (common documentation)
  This is a Python wrapper around libevdev, a wrapper library for evdev
  devices. It provides a simpler API around evdev and takes advantage

=== debian/watch ===
version=4

opts="searchmode=plain" \
  https://gitlab.freedesktop.org/libevdev/@PACKAGE@/tags?sort=updated_desc \
   -/archive/[^/]+/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## python-libevdev 0.13.1

=== debian/changelog ===
python-libevdev (0.13.1-1) unstable; urgency=medium

  * New upstream release, switching to pyproject (with hatchling) and
    pytest.
  * Drop “Rules-Requires-Root: no” since it’s now the default.

 -- Stephen Kitt <skitt@debian.org>  Mon, 17 Nov 2025 19:14:13 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,10 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                libevdev-dev,
+               pybuild-plugin-pyproject,
                python3-all,
-               python3-setuptools,
+               python3-hatchling,
+               python3-pytest,
                python3-sphinx,
                python3-sphinx-rtd-theme
 Standards-Version: 4.7.2
@@ -14,7 +16,6 @@
 Vcs-Git: https://salsa.debian.org/debian/python-libevdev.git
 Homepage: https://gitlab.freedesktop.org/libevdev/python-libevdev
 Testsuite: autopkgtest-pkg-python
-Rules-Requires-Root: no
 
 Package: python3-libevdev
 Architecture: all
